
Foreman - Bug #1656

statistics page error 'Unknown string: "1.97 TB"!'

05/29/2012 09:10 AM - Jacob McCann

Status: Closed   

Priority: Normal   

Assignee: Jacob McCann   

Category:    

Target version: 1.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

After on-lining some new systems that have 2 TB of memory our statistics page started receiving errors.

Oops, we're sorry but something went wrong

x Unknown string: "1.97 TB"!

If you feel this is an error with Foreman itself, please open a new issue with Foreman ticketing s

ystem, You would probably need to attach the Full trace and relevant log entries.

RuntimeError

Unknown string: "1.97 TB"!

/srv/www/usps-puppet-foreman/lib/core_extensions.rb:85:in `to_gb'

/srv/www/usps-puppet-foreman/app/models/fact_value.rb:69:in `to_gb'

/srv/www/usps-puppet-foreman/app/models/fact_value.rb:68:in `map'

/srv/www/usps-puppet-foreman/app/models/fact_value.rb:68:in `to_gb'

/srv/www/usps-puppet-foreman/app/models/fact_value.rb:29:in `mem_average'

/srv/www/usps-puppet-foreman/app/controllers/statistics_controller.rb:11:in `index'

 This is with version 0.4

We were able to workaround this issue by editting lib/core_extensions.rb:

--- /var/tmp/core_extensions.rb    2012-05-29 08:03:41.000000000 -0500

+++ lib/core_extensions.rb    2012-05-29 08:05:04.000000000 -0500

@@ -73,9 +73,10 @@ end

 class String

   def to_gb

     begin

-      value,f,unit=self.match(/(\d+(\.\d+)?) ?(([KMG]B?|B))$/i)[1..3]

+      value,f,unit=self.match(/(\d+(\.\d+)?) ?(([KMGT]B?|B))$/i)[1..3]

       case unit.to_sym

       when nil, :B, :byte          then (value.to_f / 1000_000_000)

+      when :TB, :T, :terabyte      then (value.to_f * 1000)

       when :GB, :G, :gigabyte      then value.to_f

       when :MB, :M, :megabyte      then (value.to_f / 1000)

       when :KB, :K, :kilobyte, :kB then (value.to_f / 1000_000)

Associated revisions

Revision a5da258d - 06/08/2012 11:43 AM - Jacob McCann

fixes #1656 add support for systems with terabytes of memory

Revision c5ad288d - 06/08/2012 02:19 PM - Ohad Levy

Merge pull request #69 from jmccann/1656-add_TB_support

fixes #1656 add support for systems with terabytes of memory
History

#1 - 05/29/2012 09:11 AM - Ohad Levy

awesome, any chance you want to send this as a git patch instead? (so you'll get the credit:))

#2 - 05/29/2012 09:18 AM - Jacob McCann

- Assignee set to Jacob McCann

Oooh, incentives ... I'll give it a shot!

#3 - 06/07/2012 04:43 AM - Ohad Levy

- Target version set to 1.0

Jacob McCann wrote:

Oooh, incentives ... I'll give it a shot!

 ping?

#4 - 06/08/2012 11:51 AM - Jacob McCann

Got it figured out I think! https://github.com/theforeman/foreman/pull/69

Thanks!

#5 - 06/08/2012 06:30 PM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset c5ad288d3e715555779e2521f948d6a870e5e370.
